Nano Banana Pro Edit
curl --request POST \
--url https://api.goenhance.ai/api/v1/nano-banana-pro/edit \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"prompt": "change the background to a beach",
"image_list": [
{
"url": "https://your-cdn.com/input.jpg"
}
],
"image_size": "1k"
}
}
'import requests
url = "https://api.goenhance.ai/api/v1/nano-banana-pro/edit"
payload = { "args": {
"prompt": "change the background to a beach",
"image_list": [{ "url": "https://your-cdn.com/input.jpg" }],
"image_size": "1k"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
args: {
prompt: 'change the background to a beach',
image_list: [{url: 'https://your-cdn.com/input.jpg'}],
image_size: '1k'
}
})
};
fetch('https://api.goenhance.ai/api/v1/nano-banana-pro/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5"
}
}
Image API
Nano Banana Pro Edit API
Pricing — per image, in tokens (USD at $0.02/token):
| image_size | tokens | USD |
|---|---|---|
| 1k | 7 | $0.140 |
| 2k | 7 | $0.140 |
| 4k | 12 | $0.240 |
Returns an img_uuid; poll GET /api/v1/jobs/detail (or use custom_callback_url) to get the generated image.
POST
/
api
/
v1
/
nano-banana-pro
/
edit
Nano Banana Pro Edit
⌘I
